NSX-T Data Center REST API

Create a new third party IPAM provider

Creates a new third party IPAM provider with specified ID if not already present.
If third party IPAM provider of given ID is already present, then the instance is
updated. This is a full replace.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/third-party-ipam-providers/{provider-instance-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
InfobloxIPAMProvider+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/infra/third-party-ipam-providers/ { "resource_type": "INFOBLOX", "host_name": "gridmaster.example.com", "port": 443, "username": "infoblox_user", "password": "password", "network_view": "default", "dns_view": "default", "wapi_version": "2.12" }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
InfobloxIPAMProvider+

Required Permissions:

crud

Feature:

third_party_ipam

Additional Errors: